# eric3.VCS.subversionPackage.CommandDialog

Module implementing the Subversion command dialog.

### Classes

SvnCommandDialog | Class implementing the Subversion command dialog.

### Functions

None

## SvnCommandDialog

Class implementing the Subversion command dialog. It implements a dialog that is used to enter an arbitrary subversion command. It asks the user to enter the commandline parameters and the working directory.

### Derived from

CommandForm

### Methods

SvnCommandDialog | Constructor
enableOkButton | Private method used to enable/disable the OK-button.
getData | Public method to retrieve the data entered into this dialog.
handleDir | Private method used to open a directory selection dialog.

### SvnCommandDialog (Constructor)

SvnCommandDialog(argvList, wdList, ppath, parent=None)

Constructor

argvList
  history list of commandline arguments (QStringList)
wdList
  history list of working directories (QStringList)
ppath
  pathname of the project directory (string)
parent
  parent widget of this dialog (QWidget)

### SvnCommandDialog.enableOkButton

enableOkButton(text)

Private method used to enable/disable the OK-button.

text
  ignored

### SvnCommandDialog.getData

getData()

Public method to retrieve the data entered into this dialog.

Returns:
  a tuple of argv, workdir

### SvnCommandDialog.handleDir

handleDir()

Private method used to open a directory selection dialog.

Up